import e32
if (e32.s60_version_info >= (3, 0)):
    import imp
    _wlantools = imp.load_dynamic('_wlantools', 'z:\\sys\\bin\\_wlantools.pyd')
else:
    import _wlantools

def scan(get_information_elements = True):
    '\n      Returns a list of dictionaries.\n      Each dictionary contains the data of an access point.\n      If optional argument "get_information_elements" is set to \'True\', data about\n       Information Elements of IEEE 802.11 frames will be included in output.\n       Raw data is copied and tranlated in hex. \n       i.e. "09" = \'0000 1001\' in 802.11 frame\n    '
    if (e32.s60_version_info >= (3, 0)):
        return _wlantools.scan(get_information_elements)
    else:
        return None